package electrosphere.renderer.actor;

import java.util.List;

import electrosphere.renderer.texture.Texture;

public class ActorTextureMask {
    
    String meshName;
    List<Texture> textures;
    List<String> uniformNames;

    public ActorTextureMask(String meshName, List<Texture> textures, List<String> uniformNames){
        this.meshName = meshName;
        this.textures = textures;
        this.uniformNames = uniformNames;
    }

    public String getMeshName(){
        return meshName;
    }

    public List<Texture> getTextures(){
        return textures;
    }

    public List<String> getUniformNames(){
        return uniformNames;
    }

}
